Bug 200192 - left hand mouse setting on laptop.
Summary: left hand mouse setting on laptop.
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-26 02:32 UTC by Baif
Modified: 2018-04-11 06:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 22:15:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Baif 2006-07-26 02:32:13 UTC
Description of problem:
"Left Hand" setting of mouse does not affect the USB mouse on my laptop.
But does affect the synaptic.

Version-Release number of selected component (if applicable):

xorg-x11-drv-mouse-1.0.4-1
xorg-x11-server-Xorg-1.0.1-9.fc5.1.1

How reproducible:

xmodmap, KControlCenter, whateve.
  

Additional info:
quote from /etc/X11/xorg.conf
......
  4 Section "ServerLayout"
  5         Identifier     "Default Layout"
  6         Screen      0  "Screen0" 0 0
  7         InputDevice    "Keyboard0" "CoreKeyboard"
  8         InputDevice    "Synaptics" "CorePointer"
  9         InputDevice    "Mouse0" "AlwaysCore"
 10         Option "Dontzap" "true"
 11 EndSection
......
 69 Section "InputDevice"
 70         Identifier  "Mouse0"
 71         Driver      "mouse"
 72         Option      "Protocol" "IMPS/2"
 73         Option      "Device" "/dev/input/mice"
 74         Option      "ZAxisMapping" "4 5"
 75         Option      "Emulate3Buttons" "false"
 76 EndSection
 77 
 78 Section "InputDevice"
 79         Identifier  "Synaptics"
 80         Driver      "synaptics"
 81         Option      "Device" "/dev/psaux"
 82         Option      "Protocol" "IMPS/2"
 83         Option      "Emulate3Buttons" "yes"
 84 EndSection
......

Comment 1 Mike A. Harris 2006-07-27 20:29:49 UTC
Pointer button reassignments only happen to the core pointer.

Comment 2 Matěj Cepl 2007-04-04 22:15:11 UTC
... which means NOTABUG. Please, reporter, reopen if you have additional
information about this bug.


Note You need to log in before you can comment on or make changes to this bug.